Package org.apache.sysds.runtime.privacy.propagation

## Class RBindPropagator

- java.lang.Object
- - org.apache.sysds.runtime.privacy.propagation.AppendPropagator
  - - org.apache.sysds.runtime.privacy.propagation.RBindPropagator

All Implemented Interfaces:
  `Propagator`

    public class RBindPropagator
    extends AppendPropagator

### Constructor Summary

Constructors
`RBindPropagator​(MatrixBlock input1, PrivacyConstraint privacyConstraint1, MatrixBlock input2, PrivacyConstraint privacyConstraint2)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.privacy.propagation.AppendPropagator

`propagate, setFields`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RBindPropagator

    public RBindPropagator​(MatrixBlock input1,
                           PrivacyConstraint privacyConstraint1,
                           MatrixBlock input2,
                           PrivacyConstraint privacyConstraint2)